import datetime
import os


class PhenarisQueryLogger:
    """PhenarisLogger represents a single log file that can be writen to."""

    def __init__(self, filename):
        """Construct a QueryLogger with a file.
        @param: filename: The full path to the file to be used for logging.
        """
        self.filename = filename
        if not os.path.isfile(self.filename):
            fout = open(self.filename, 'w')
            fout.close()

    def log(self, message):
        """Write a message to the log file.
        @param: message: The text to log
        """
        fout = open(self.filename, 'a')
        dt = datetime.datetime.now()
        fout.write(dt.strftime('%d/%m/%Y %H:%M ') + message + '\n')
        fout.close()